petsc-3.10.5 2019-03-28
Report Typos and Errors

# PetscFVSetType

Builds a particular PetscFV

### Synopsis

    #include "petscfv.h"
    PetscErrorCode PetscFVSetType(PetscFV fvm, PetscFVType name)

Collective on PetscFV

### Input Parameters

| fvm | - The PetscFV object
| name | - The kind of FVM space

### Options Database Key

-petscfv_type <type> -Sets the PetscFV type; use -help for a list of available types

### Keywords

PetscFV, set, type

### See Also

PetscFVGetType(), PetscFVCreate()

### Level

intermediate

### Location

src/dm/dt/interface/dtfv.c
Index of all DT routines
Table of Contents for all manual pages
Index of all manual pages